fann_print_error
fann_read_train_from_file
Fann Functions
PHP Manual

# fann_randomize_weights

(PECL fann >= 1.0.0)

fann_randomize_weights — Give each connection a random weight between min_weight and max_weight

### Description

bool fann_randomize_weights ( resource `$ann` , float `$min_weight` , float `$max_weight` )

Give each connection a random weight between `min_weight` and `max_weight`

From the beginning the weights are random between -0.1 and 0.1.

### Parameters

`ann`

  Neural network resource.

`min_weight`

  Minimum weight value

`max_weight`

  Maximum weight value

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_init_weights() - Initialize the weights using Widrow + Nguyen’s algorithm

fann_print_error
fann_read_train_from_file
Fann Functions
PHP Manual